OpenTTD: TileLayoutSpriteGroup Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
TileLayoutSpriteGroup Struct Reference

Action 2 sprite layout for houses, industry tiles, objects and airport tiles. More...

`#include <newgrf_spritegroup.h>`

Inheritance diagram for TileLayoutSpriteGroup:

## Public Member Functions
const DrawTileSprites * | ProcessRegisters (uint8 *stage) const
| Process registers and the construction stage into the sprite layout.
Public Member Functions inherited from SpriteGroup
virtual SpriteID | GetResult () const
virtual byte | GetNumResults () const
virtual uint16 | GetCallbackResult () const
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Data Fields
NewGRFSpriteLayout | dts
Data Fields inherited from SpriteGroup
SpriteGroupType | type
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Static Public Member Functions inherited from SpriteGroup
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
Protected Member Functions inherited from SpriteGroup
| SpriteGroup (SpriteGroupType type)
virtual const SpriteGroup * | Resolve (ResolverObject &object) const
| Base sprite group resolver.

## Detailed Description

Action 2 sprite layout for houses, industry tiles, objects and airport tiles.

Definition at line 264 of file newgrf_spritegroup.h.

## Member Function Documentation

const DrawTileSprites * TileLayoutSpriteGroup::ProcessRegisters | ( | uint8 * | stage | ) | const

Process registers and the construction stage into the sprite layout.

The passed construction stage might get reset to zero, if it gets incorporated into the layout during the preprocessing.

Parameters

  [in,out] | stage | Construction stage (0-3), or NULL if not applicable.

Returns
  sprite layout to draw.

Definition at line 343 of file newgrf_spritegroup.cpp.

References NewGRFSpriteLayout::consistent_max_offset, GetConstructionStageOffset(), NewGRFSpriteLayout::GetLayout(), DrawTileSprites::ground, NewGRFSpriteLayout::NeedsPreprocessing(), NewGRFSpriteLayout::PrepareLayout(), NewGRFSpriteLayout::ProcessRegisters(), and DrawTileSprites::seq.

Referenced by DrawTileLayout().

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp